* {
  margin: 0;
  padding: 0;
}

body {
  font-family: "Rubik", sans-serif;
  color: #54667a;
}

div,
p {
  box-sizing: border-box;
}

.container {
  width: 100vw;
  height: 100vh;
  background-image: url('../assets/images/login-bg.jpg');
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
}

.form {
  width: 300px;
  background-color: white;
  border-radius: 10px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.form .form-item {
  width: 80%;
}

.form .form-item span {
  font-size: 14px;
}

.form h1 {
  font-family: "NSimSun", sans-serif;
  font-size: 36px;
  margin-bottom: 40px;
}

.form input,
.form button {
  all: unset;
}

.form input {
  background-image: linear-gradient(#009efb, #009efb), linear-gradient(#d9d9d9, #d9d9d9);

  background-color: transparent;
  background-position: center bottom, center calc(100% - 1px);
  background-repeat: no-repeat;
  background-size: 0 2px, 100% 1px;
  padding: 0;
  transition: background 0s ease-out 0s;

  color: #54667a;
  min-height: 38px;
  display: initial;

  width: 100%;
  line-height: 1.25;
  font-size: 18px;
}

.form input:focus {
  background-size: 100% 2px, 100% 1px;
  transition-duration: 0.3s;
  background-image: linear-gradient(#009efb, #009efb), linear-gradient(#d9d9d9, #d9d9d9);
  color: #464a4c;
}

.form button {
  background: #55ce63;
  padding: 7px 12px;
  font-size: 14px;
  cursor: pointer;
  color: #fff;
  display: inline-block;
  font-weight: 400;
  line-height: 1.25;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  border-radius: 5px;
}

.form button:hover
{
  opacity: 0.7;
}

.form button:active
{
  color: #fff;
  background-color: #449d44;
}

.form .error-tip {
  margin-top: -10px;
  color: #f62d51;
  font-size: 14px;
}